# File tres/Scripts/trsdate.cl
# By Doug Mink
# April 22, 2008

# TRSDATE -- Set instrument and date directories for TRES listing and quick look

procedure trsdate (datedir)

string datedir="now"	{prompt="Date for images (now=today)"}

string instdir="/tres/"	{prompt="Directory containing date directories"}
string quickdir="home$tresq/"	{prompt="Directory for quicklook date directories"}
int firstsum=201	{prompt="First sequence number for summed spectra"}
bool verbose=yes	{prompt="Print table of image parameters (yes or no)"}

begin
    bool vb
    file ddir, idir, datadir, qdir

    vb = verbose
    ddir = datedir

    fixdir (instdir)
    idir = fixdir.newdir

    fixdir (quickdir)
    qdir = fixdir.newdir

    if (ddir == "now" || ddir == "" || ddir == "0") {
	gettime()
	ddir = gettime.datadir
	}
    if (ddir == "now-1" || ddir == "1") {
	gettime(datediff=-1)
	ddir = gettime.datadir
	}

    datadir = idir // ddir
    if (!access (datadir)) {
	print ("TRSDATE: ",datadir, " not found")
	return
	}

    qtres.datedir = ddir
    qtres.instdir = idir
    ctres.datedir = ddir
    ctres.instdir = idir
    trslist.datedir = ddir
    trslist.instdir = idir
    trsfiles.datedir = ddir
    trsfiles.instdir = idir
    trsfiles.adddate = no


    if (!access (qdir)) {
	mkdir (qdir)
	if (!access (qdir)) {
	    print ("TRSDATE: ",qdir, " cannot be created")
	    return
	    }
	}
    qdir = qdir // ddir
    if (!access (qdir)) {
	mkdir (qdir)
	if (!access (qdir)) {
	    print ("TRSDATE: ",qdir, " cannot be created")
	    return
	    }
	}
    cd (qdir)

    if (vb)
	print ("Read from ",datadir,", write to ",qdir)

end

# Feb 13 2008	New program
# Feb 15 2008	Add trsfiles
# Apr  4 2008	First sequence number for summed spectra on this night
# Apr  4 2008	Move to local date directory, creating it if necessary
# Apr  4 2008	Set trsfiles.adddate=no because date is not needed in name
# Apr 22 2008	Add quicklook primary directory and create it if needed
